Trillet AI logo

List call charges

Trillet OEM API: One row per call charge, newest first.

GEThttps://api.trillet.ai/partner/v1/usage/calls

One row per call charge, newest first. Needs usage:read.

Loading code example
Loading code example

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fromstring<date-time>

Start, inclusive. Default is the start of the current month (UTC).

tostring<date-time>

End, exclusive. Default is now.

tenantIdstring

Only this tenant.

Pattern: ^[a-fA-F0-9]{24}$
limitintegerdefault: 50
Required range: x >= 1, x <= 200
Default: 50
starting_afterstring

The id of the last row on the previous page.

Pattern: ^[a-fA-F0-9]{24}$

Response

application/json

A page of call charges.

objectstringrequired
dataarray<object>required
data.idstring
Pattern: ^[a-fA-F0-9]{24}$
data.tenantIdstring
Pattern: ^[a-fA-F0-9]{24}$
data.callIdstring | null

Trillet's internal call identifier.

data.callHistoryIdstring | null

The call history ID. Matches data.call.id in call events.

data.atstring<date-time>
data.billedSecondsnumber
data.ratePerMinutenumber
data.amountnumber

USD.

hasMorebooleanrequired

Last updated on